<?php
/********************************************************
* MySpace-BBC.php                                       *
*-------------------------------------------------------*
* Project Name: MySpace BBC                             *
* Version: 1.2                                          *
* Written by: Labradoodle-360                           *
*-------------------------------------------------------*
* Copyright 2011 Matthew Kerle                          *
********************************************************/

if (!defined('SMF'))
	die ('Hacking attempt...');

function myspace_bbc_codes($codes)
{

	// Globalize what we'll need...
	global $txt;

	// Load our language...
	loadLanguage('MySpace-BBC');

	// Finaly, our BBC items.
	$codes[] = array(
		'tag' => 'ms',
		'type' => 'unparsed_content',
		'content' => '<a href="http://www.myspace.com/$1" target="_blank" title="$1 '. $txt['myspace_bbc']. '">$1</a>',
		'block_level' => true,
		'validate' => create_function('&$tag, &$data, $disabled', '$data = strtr($data, array(\'<br />\' => \'\'));'),
		'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
	); 
	$codes[] = array(
		'tag' => 'ms',
		'type' => 'unparsed_equals',
		'before' => '<a href="http://www.myspace.com/$1" target="_blank" title="$1 '. $txt['myspace_bbc']. '">',
		'after' => '</a>',
		'validate' => create_function('&$tag, &$data, $disabled', '$data = strtr($data, array(\'<br />\' => \'\'));'),
		'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
	);

}

?>