<?php
/********************************************************
* Install.php                                           *
*-------------------------------------------------------*
* Project Name: MySpace BBC                             *
* Version: 1.2                                          *
* Written by: Labradoodle-360                           *
*-------------------------------------------------------*
* Copyright 2011 Matthew Kerle                          *
********************************************************/

// Using SSI?
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die ('<strong>Error:</strong> Cannot install - please make sure that this file in the same directory as SMF\'s SSI.php file.');

// Time for good ol' Captain Hook!
$hooks = array(
	'integrate_bbc_codes' => 'myspace_bbc_codes',
	'integrate_pre_include' => '$boarddir/Sources/MySpace-BBC.php',
);

// Time to actually add them. Lets get 'er done!
foreach ($hooks as $hook => $function)
	add_integration_function($hook, $function); 

// And, we're done!
if (SMF == 'SSI')
	echo 'Database changes are complete!';

?>